Subject: Re: [EGIT] [PATCH v1 1/1] Add an ignored icon

From: "Ferry Huberts (Pelagic)" <[email-masked]>
Date: Tue, 24 Feb 2009 06:15:46 +0100

Tor Arne Vestbø wrote:
> Ferry Huberts wrote:
>> Add an ignored icon to the label decorations page and make
>> sure that it is actually decorated: from now on do not ignore
>> ignored resources during decoration.
> 
> The reason this was not added in the original series was because that's
> kind of the point of ignoring a resource -- you don't want any
> information about it. Also, none of the other team plugins provide
> decorations for ignored resources-
> 

I could also argue that I want everything to be explicit, even the
status of ignored files :-)

If you look at (for example) TortoiseSVN then you'll see that it does
provide an ignore icon. My icon was sort of 'inspired' by that one.
Don't know if it's on by default though, will have to check that.

> On the other hand, since the decorators are now user configurable,
> adding the option to allow users to enable decoration of ignored
> resources if they really feel it's useful to them is admittedly in line
> with the whole customization idea.
> 
> Though I'm not sure if this particular case of customization would cause
> more confusion than good, for example in terms of which doors we open by
> allowing ignored resources to actually not be ignored (i.e what other
> features would you expect to work for ignored resources?).
> 
>>  		prefs.setDefault(UIPreferences.DECORATOR_SHOW_UNTRACKED_ICON, true);
>> +		prefs.setDefault(UIPreferences.DECORATOR_SHOW_IGNORED_ICON, true);
>>  		prefs.setDefault(UIPreferences.DECORATOR_SHOW_STAGED_ICON, true);
> 
> If applied, I would argue that the option should be _off_ by default, to
> match the behavior of the other team plugins and the normal logical
> action of ignoring a resource.

not my preference (hey I wrote the patch) but reasonable.

> 
>> +	/** Decoration for resource ignored by Git */
>> +	public static final ImageDescriptor OVR_IGNORED;
>> +
> 
> Side-note: the current decoration implementation only uses Eclipse's
> concept of an ignored resource -- not .gitignore et al. since we don't
> have a standard way of reading those yet.
> 
> Tor Arne
> 
I've started work on that, see the issue on the issue tracker. The plan
is to hook in on change events and then parse all gitignore files, and
tell eclipse about the contents of the ignores.

Ferry